### Method

# Pango TabArray to_string

since: 1.50

#### Declaration [src]

    char*
    pango_tab_array_to_string (
      PangoTabArray* tab_array
    )

#### Description [src]

Serializes a `PangoTabArray` to a string.

In the resulting string, serialized tabs are separated by newlines or commas.

Individual tabs are serialized to a string of the form

    [ALIGNMENT:]POSITION[:DECIMAL_POINT]

Where ALIGNMENT is one of left, right, center or decimal, and POSITION is the position of the tab, optionally followed by the unit px. If ALIGNMENT is omitted, it defaults to left. If ALIGNMENT is decimal, the DECIMAL_POINT character may be specified as a Unicode codepoint.

Note that all tabs in the array must use the same unit.

A typical example:

    100px 200px center:300px right:400px.

Available since: 1.50

#### Return value

Type: `char*`

A newly allocated string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.